Index

As the name goes, Flash 2 Screensaver is an easy and powerful tool for converting one or several of your favorite Macromedia Flash files (*.swf) into a real screensaver.

Here are six amazing features:

  1. Flash 2 Screensaver can build true stand-alone screensavers! When you have finished your master piece with Flash 2 Screensaver, you can deliver it to any of your friends as a nice gift! They can double click it to preview, right click to install and configure it in the windows screensaver control panel, add password, and even preview the flash movies in the small window when configuring! Futhermore, if your friend haven't installed Macromedia Flash ActiveX control, they can also run the screensaver because the screensaver will do the work behind the screen. That's what true stand-alone means!

  2. You can show your unique character with Flash 2 Screensaver because this product provides you with many configurable options. For example, you can add your own information into the screensaver, specify the flash movie quality, choose to fade in and fade out between two flash movies, show movies randomly, etc. Got a good idea? Just do it!
  3. The Neo-Stick-Free technology makes Flash 2 Screensaver very intelligent in playing flash movies. It will automatically stretch the flash movies to full screen, change the movies into best quality mode, loop to the first one when all movies are finished, and so on. Some flash movies demand a click to start or continue, Flash 2 Screensaver will do it for you!

  4. Flash Theater, a special component of this software, is an configurable screensaver that uses Flash files on your disks directly. Because it doesn't build in those Flash files, it is very suitable for personal use.

  5. Two free little tools are also available within this package. One of them can convert Macromedia Flash file (.swf) to executable form (.exe), the other from .exe to .swf file. Both tools are Flash 6 compatible.

  6. Flash 2 Screensaver is very easy to use. A friendly wizard will guide you all through the work! Just follow the wizard and make choices, and your desirable screensaver will prompt to you at once!

Copyright©1999-2001 Neoaspire.


Build Stand-alone Screensaver

Building Stand-alone Screensaver

To build a stand-alone screensaverfrom Flash files (*.swf), please follow these steps:

  1. Make sure that you have selected the first option: "Convert Flash file(s) into a stand-alone Screensaver", then click "Next".

  2. Click the green "Add" button to add Flash files (*.swf) to the list box. You can add two or more files at one time by holding Ctrl or Alt key in the Open File Dialog. You can click a flash file to preview. If you are not satisfied with your choice, you can delete it by clicking the red "Delete" button. Use up and down arrow to change the file order. Here is an example:

    When you have finished your work, please click "Next".

  3. You can add at most 7 messages to the screensaver to show the producer, company, contact information, etc. Each pair will be a single frame in the screensaver. To get the best performance, please use English only. The following is an example:

    If you want to skip this feature, just click "Next".

  4. Check the option if you want to add that feature to your screensaver. These options will be built in the screensaver, while screensaver users can change them at a later time:

    * Fade in and fade out between two flash movies -- the former movie will disappear little by little before the latter appear bit by bit. You'll get a smooth transition effect between two flash movies.
    * High quality mode (recommended) -- turn it on to get the best movie quality. Though high quality mode will slow down your machine a bit, you won't feel it if you are using Intel Pentium CPU or above.
    * Randomize the playlist -- check this option to play the movies randomly. It is a good choice before you get bored with the old sequence.

  5. You can name the output screensaver in the text box. If you want to make it the default screensaver of your Windows or launch Windows Screensaver Setting Panel after the building process is over, please check the corresponding check box.

  6. Click "Make Now" to start building. Opps! You've got it!


From .EXE to .SWF

Converting executable Flash file to a .swf file

To convert an executable Flash file (*.exe) to a normal form (*.swf), please follow these steps:

  1. Make sure that you have selected the second option: "Convert executable swf file to pure .swf file", then click "Next".

  2. Please select your target executable file and then click "Next".

  3. Flash 2 Screensaver has specified a .swf file name for you. You can change it if you like.

  4. Click "Make Now" to get your .swf file.
Warning: Flash 2 Screensaver is capable of converting standard executable Flash files that was originally made by Macromedia Flash 4 or Macromedia Flash 5. Although 99% of the executable Flash files can be recognized, there are still some informal executable format that cannot be processed correctly.


From .SWF to .EXE

Converting a .swf Flash file to an executable

To convert a normal Flash file (*.swf) to an executable (*.exe) one , please follow these steps:

  1. Make sure that you have selected the third option: "Convert .swf file to Flash 5 compatible executable", then click "Next".

  2. Please select your target .swf file and then click "Next".

  3. Flash 2 Screensaver has specified a .exe file name for you. You can change it if you like.

  4. Click "Make Now" to get your Macromedia Flash 5 compatible .exe file. You can easily deliver it to your friends even if he has no Flash ocx installed in his computer!


Configuring Flash Theater

To configure the Flash Theater, please follow these steps:

  1. Make sure that you have selected the last option: "Launch personal Flash Screensaver Theater", then click "Next".

  2. Click "Next" button to launch the Flash Theater. Flash Theater will automatically become the default screensaver of windows. You can change screensaver waiting time and password option here. You can also modify the playlist by click "settings" button of Windows Screensaver Setting Panel.

  3. To modify the playlist is very easy. Click "Add" button to add a file, "Delete" to delete a file from the list, "Up" and "Down" arrow to change file order. You can click a filename in the play list to preview it. Remember to click "Save" button to update the playlist information before you exit.

  4. You can modify options in the "Settings" page. Check the option if you want to add that feature to your screensaver:

    * Fade in and fade out between two flash movies -- the former movie will disappear little by little before the latter appear bit by bit. You'll get a smooth transition between two flash movies.
    * High quality mode (recommended) -- though turn on high quality mode will slow down your machine a bit, you won't feel it if you are using Pentium CPU or above. Turn it on to get best movie quality.
    * Randomize the playlist -- check this option to play the movies randomly. It is a good choice before you get bored with the old sequence.

  5. In the "User Information" page, you can add at most 12 messages to the screensaver to show the producer, company, contact information, etc. Each pair will be a single frame in the screensaver. To get the best performance, please use English only.

  6. When everything is ok, be sure to click "OK" button to save the changes.


Register

Registering Flash 2 Screensaver

Flash 2 Screensaver is a shareware. You can download the trial version for free but some function are disable. If you register Flash 2 Screensaver, you will be able to:

  1. Build screensaver without a "Please Register" movie in it.
  2. Use Flash Theater to play as much Flash movies as possible, no five-pieces-one-time limitation.
  3. Get support via email in less than three working days.
  4. Get constant updates that will be compatible with future version of Macromedia Flash for FREE!.
To get full version of Flash 2 Screensaver, please click

click here to register

Don't hesitate to make your screen DIFFERENT!


Awards

The File Transit said: Your software, Flash 2 Screensaver! 1.5 has been validated and approved on The File Transit for inclusion in our database, and has received a rating of 5 stars. Congratulations!

TUCOWS said: With Flash 2 Screensaver!, you can transform Shockwave files into stand-alone screen savers in no time. You will also be able to convert executable Shockwaves to pure Shockwave files, convert Shockwave to Flash 5, and create your own personal Flash screen saver theater. If you love Flash, you'll like this program!

Flash 2 Screensaver 1.5! was honored ZDNet Desktop Enhancement Of The Day ( 9/19/2001): Flash 2 Screensaver can convert your favorite Flash file into a screensaver.


Index

Frequent Asked Questions (FAQs)

Questions while installing:

  • Do I have the most current version of Flash 2 Screensaver and where do I get it?
  • I am attempting to download the program but all I get is a "Set Up Files Corrupt" message. Why?

Questions while using:

  • How to report bugs and get support?
  • Why some of my Flash files behave badly in Flash Theater?
  • How can I add a logo or splash in Flash 2 Screensaver?
  • Why do my friend meet a 'OLE Error' when executing the screensaver that I made by Flash 2 Screensaver?

Q: Do I have the most current version of Flash 2 Screensaver and where do I get it?
A: The version number of your version is displayed in the title bar of your Flash 2 Screensaver window. The latest version of Flash 2 Screensaver is available at http://www.neoaspire.com.

Q: I am attempting to download the program but all I get is a "Setup Files Corrupt" message. Why?
A: That is caused by a downloading error. Try downloading it again from our site. Furthermore, using a third-part downloading software for example GetRight, FlashGet or NetAnts other than your browser is also a good choice. If the problem still remains, please clear your
windows temperary directory first.

Q: I am attempting to download the program but all I get is a "Set Up Files Corrupt" message. Why?
A: That is caused by a downloading error. Try downloading it again from our site. Furthermore, using a third-part downloading software for example GetRight, FlashGet or NetAnts other than your browser is also a good choice.

Q: How to report bugs and get support?
A: Please write to webmaster@neoaspire.com if you are to report bugs or get support. When you are going to report bugs, please be sure to include these information: 1.Your operating system, 2. Version number of Flash 2 Screensaver, 3. Simple description of the error. If you are a registered user, you can receive support in less than two working days.

Q: Why some of my Flash files behave badly in Flash Theater?
A: Macromedia Flash is a great but complex file format. Because of the inaccessibility to the file format and the extremely different habbits of the Flash authors, it is an 'impossible mission' to make every Flash file perform well. Here is my suggestion: Flash Theater is very good at playing Flash movies and Flash MTVs. You can get excellent experience if you use these sorts of Flash files. It is not recommended you using Flash games in Flash Theater.

Q: How can I add a logo or splash in Flash 2 Screensaver?
A: From version 1.7, Flash 2 Screensaver support logo directly. If you want a logo of your own style , you can produce your own logo in Macromedia Flash and make it the first one when you make a screensaver in Flash 2 Screensaver.

Q: Why do my friend meet an 'OLE Error' when executing the screensaver that I made by Flash 2 Screensaver?
A: Flash 2 Screensaver has this little bug in the version of 1.5 and lower. Flash need an ActiveX to support, which is a ocx of 396KB large. When I wrote the former versions of Flash 2 Screensaver, I decided to neglect it because I wanted to make the output screensaver as slim as possible. Now I understand that it is not a good decision. So I add a Flash ActiveX Auto-register function in the version of 1.6. Any screensaver made by Flash 2 Screensaver version 1.6 and higher will perform correctly in Windows platform even if the system hasn't installed any Flash ActiveX! Feel free to send your master piece to your friends now!